commit 44dc46415ce8fafc1f6a46bac123b430ae5aba4d
Author: Richard Ball <richard.ball@arm.com>
Date:   Thu Oct 10 19:16:39 2024 +0100

    aarch64: Alter pr116258.c test to correct for big endian.
    
    The test at pr116258.c fails on big endian targets,
    this is because the test checks that the index of a floating
    point multiply is 0, which is correct only for little endian.
    
    gcc/testsuite/ChangeLog:
    
            PR tree-optimization/116258
            * gcc.target/aarch64/pr116258.c:
            Alter test to add big-endian support.
    
    (cherry picked from commit a17a9bdcb3f749b895abf1fbf4f62859df9e8184)

diff --git a/gcc/testsuite/gcc.target/aarch64/pr116258.c b/gcc/testsuite/gcc.target/aarch64/pr116258.c
index e727ad4b72a..5b63de25b7b 100644
--- a/gcc/testsuite/gcc.target/aarch64/pr116258.c
+++ b/gcc/testsuite/gcc.target/aarch64/pr116258.c
@@ -12,6 +12,7 @@
   return (x + h(t));
 }
 
-/* { dg-final { scan-assembler-times "\\\[0\\\]" 1 } } */
+/* { dg-final { scan-assembler-times "\\\[0\\\]" 1 { target { aarch64_little_endian } } } } */
+/* { dg-final { scan-assembler-times "\\\[3\\\]" 1 { target { aarch64_big_endian } } } } */
 /* { dg-final { scan-assembler-not "dup\t" } } */
 /* { dg-final { scan-assembler-not "ins\t" } } */

